from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSEInitializer(XInterface, Protocol):
    def createSecurityContext(self, aString: str) -> XXMLSecurityContext: ...
    def freeSecurityContext(self, securityContext: XXMLSecurityContext) -> None: ...
